; csdos.i
;
; Include file ... CS-DOS definitions
;

int00       = $1700     ; Set default drive (Letter in .a)
int01       = $1701     ; Get default drive (Letter to .a)
int02       = $1702     ; Get default unit,drive (To .x, .a)
int03       = $1703     ; Convert drive letter (.a) to unit (.x) and drive (.a)
int04       = $1704     ; Get first char of parameter .x
int05       = $1705     ; Get next char after int04
int06       = $1706     ; Assign drive letter (.a) to unit (.x) drive (.y)
int07       = $1707     ; Unimplemented Command
int08       = $1708     ; Open file %x for read (.a=type "s","p",0 or "$")
int09       = $1709     ; Open file %x for write (.a=type "s" or "p")
int0a       = $170a     ; Find free LA (.a) and SA (.y)
int0b       = $170b     ; Abort (int0e) if disk error
int0c       = $170c     ; Fetch disk status (.a    =DS)
int0d       = $170d     ; Display disk status after int0c
int0e       = $170e     ; Program terminate (.a=errorlevel)
int0f       = $170f     ; Parse filename. Sets DV and D: from (fnadr)
int10       = $1710     ; Display shell version info
int11       = $1711     ; Evaluate constant (returned in .x low .a high)
int12       = $1712     ; not used
int13       = $1713     ; Scratch file %x
int14       = $1714     ; Get (carry=0) or Set (carry=1) date from .x low .y high
int15       = $1715     ; Print date (from .x, .y)
int16       = $1716     ; Find first matching file for %x
int17       = $1717     ; Get next match after int16

int20       = $1720     ; Redirect input (EXEC file %x)

int21       = $1721     ; Function interrupt
Cancel      = 1         ; Function 1 - Cancel redirected input
Setup       = 2         ; Function 2 - Make filename out of %x
EnqDsk      = 3         ; Function 3 - Enquire Disk
Linit       = 4         ; Function 4
NewFil      = 5         ; Function 5
Locate      = 6         ; Function 6
Bump        = 7         ; Function 7
SkpDsk      = 8         ; Function 8
Obytn       = 9         ; Function 9 - Fetch byte from EXEC file
SetFet      = 10        ; Function 10
RamFet      = 11        ; Function 11
Rs232on     = 12        ; Function 12 - Enable RS232
Rs232off    = 13        ; Function 13 - Disable RS232
Clear       = 14        ; Function 14 - Clear RS232 input buffer
SetBaud     = 15        ; Function 15 - Set Baud rate from .a high .x low

int3c       = $173c     ; LOAD (carry=0) or LOAD & RUN (carry=1) program %x (y=bank)

buf0        = $1b00     ; misc work area. result of pattern match etc.
buf1        = $1b20     ; misc work area. parameter 1
buf2        = $1b40     ; misc work area. parameter 2
buf3        = $1b60     ; misc work area. parsed filename

remote      = $1bc2     ; Flag. BMI flags remote keyboard is active
snmi        = $1bc3     ; RS232 routines save old NMI here
lpsave      = $1bc5     ; LOOP saves exec address here
tcolor      = $1bc8     ; Color for Text mode
bcolor      = $1bc9     ; Color for Basic mode
scolor      = $1bca     ; Color for Seq files
pcolor      = $1bcb     ; Color for prg files
ucolor      = $1bcc     ; Color for usr files
rcolor      = $1bcd     ; Color for Rel files
ocolor      = $1bce     ; Other color
arclim      = $1bcf     ; buffer limits for ARC work area
caplim      = $1bd0     ; capture buffer limits 16*min+max 1750 bank
stk1        = $1bd1     ; stack pointer saved by 'lookup'
decho       = $1bd2     ; default echo status when an EXEC begins
osvx        = $1bd3     ; temps
ptrflg      = $1bd6     ; flag BMI=redirect to printer
srdila      = $1bd7     ; save redirect la
shellf      = $1bd8     ; bit 7. 0    =direct mode, 1=int0e will RTS
ssw1        = $1bd9     ; switch 1 copy for batch files
ssw2        = $1bda     ;   ''   2  ''       ''
savecd      = $1bdb     ; pushdir/popdir save current drive here
eocom       = $1bdc     ; highest Common RAM address used by shell
eoshl       = $1bde     ; highest RAM 1 address used by shell
errlvl      = $1be0     ; error level returned by int0e
colr        = $1be1     ; screen color (set by text and basic)
svbrk       = $1be2     ; save BRK vector
reg         = $1be4     ; registration number (obsolete)
stk0        = $1be7     ; stack pointer saved by int40
stk         = $1be8     ; stack pointer. saved by "main"
rdodv       = $1be9     ; device to which output is redirected
rdosa       = $1bea     ; sa to which output is redirected
echo        = $1beb     ; 0=echo off $ff=on for exec
cola        = $1bec     ; current output la
cila        = $1bed     ; current input la
ptrdv       = $1bee     ; printer device number
ptrsa       = $1bef     ; printer sa
rflag       = $1bf0     ; bit 7=1 if RAM disk is in 1750
rdmax       = $1bf1     ; end address for RAM disk
rdbnk       = $1bf3     ; bank/CR for RAM disk
rdadr       = $1bf5     ; start address of RAM disk
cl          = $1bf7     ; drive  letter for last disk operation
cdr         = $1bf8     ; drive  number for last disk operation
cdv         = $1bf9     ; device number for last disk operation
rdila       = $1bfa     ; la for redirected  input
rdola       = $1bfb     ; la for redirected output
sw1         = $1bfc     ; /xy   (y)
sw2         = $1bfd     ; /xy   (x)
tx          = $1bfe     ; text mode flag
dosver      = $1bff     ; CS-DOS version number
